aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2007-06-10 14:47:44 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2007-06-10 14:47:44 +0000
commit0f1687129ff6ca68087bbc2130655613690f57d0 (patch)
treef1fdb3c74035eef7a48ef230bab1aa425e37acbe /sci-physics
parentRemoved pymol as it's now in the main tree. (diff)
downloadsci-0f1687129ff6ca68087bbc2130655613690f57d0.tar.gz
sci-0f1687129ff6ca68087bbc2130655613690f57d0.tar.bz2
sci-0f1687129ff6ca68087bbc2130655613690f57d0.zip
add bullet
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@649 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/bullet/ChangeLog8
-rw-r--r--sci-physics/bullet/Manifest12
-rw-r--r--sci-physics/bullet/bullet-2.52.ebuild35
-rw-r--r--sci-physics/bullet/files/digest-bullet-2.523
4 files changed, 58 insertions, 0 deletions
diff --git a/sci-physics/bullet/ChangeLog b/sci-physics/bullet/ChangeLog
new file mode 100644
index 000000000..66bdf67b3
--- /dev/null
+++ b/sci-physics/bullet/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-physics/bullet
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 10 Jun 2007; S├ębastien Fabbro <bicatali@gentoo.org> +bullet-2.52.ebuild:
+ Initial import. Thanks Renato Caldas <seventhguardian@gmail.com> for his
+ initial work on the ebuild.
+
diff --git a/sci-physics/bullet/Manifest b/sci-physics/bullet/Manifest
new file mode 100644
index 000000000..95939adcd
--- /dev/null
+++ b/sci-physics/bullet/Manifest
@@ -0,0 +1,12 @@
+DIST bullet-2.52.tgz 4431867 RMD160 ddc09ab4a2dfa61cb310b9cff73d4cf6c7fcc64c SHA1 586815ab849e41570a3156e9a03145a95c791752 SHA256 507daa8275b0914f79685a137aab61434a052981143e9ee6f0ae1a0419224bdf
+EBUILD bullet-2.52.ebuild 785 RMD160 6f9dd69d162ce6373726450fa138813e47c3ed2f SHA1 c37a31808a6afcfafc4a930f2193baf185756d99 SHA256 6a9bc481382a90b226d71a17db874a8b14f9287aaa263ef68735ddebfafaf238
+MD5 93905164eec9901586f382de20b17946 bullet-2.52.ebuild 785
+RMD160 6f9dd69d162ce6373726450fa138813e47c3ed2f bullet-2.52.ebuild 785
+SHA256 6a9bc481382a90b226d71a17db874a8b14f9287aaa263ef68735ddebfafaf238 bullet-2.52.ebuild 785
+MISC ChangeLog 301 RMD160 0ace3428f68b023214b894184c94f7f62a5e003b SHA1 61deeaf8f469add35726952973178fa388d3594c SHA256 1d466149e4f7ad102a201130522dcfb3eb7591eacaca3c74937524d12cd52161
+MD5 d72d21f2631691354f42b40c95849ab2 ChangeLog 301
+RMD160 0ace3428f68b023214b894184c94f7f62a5e003b ChangeLog 301
+SHA256 1d466149e4f7ad102a201130522dcfb3eb7591eacaca3c74937524d12cd52161 ChangeLog 301
+MD5 5b6fb21949ef4583c57e8b1c331daf6d files/digest-bullet-2.52 229
+RMD160 ceec879466310ef6cbe030e0c191841ee24346ba files/digest-bullet-2.52 229
+SHA256 175c41df110ce7c995aeecc24469d3483e8540c98ac7810d0319168adb5fc032 files/digest-bullet-2.52 229
diff --git a/sci-physics/bullet/bullet-2.52.ebuild b/sci-physics/bullet/bullet-2.52.ebuild
new file mode 100644
index 000000000..409af37d8
--- /dev/null
+++ b/sci-physics/bullet/bullet-2.52.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Continuous Collision Detection and Physics Library"
+HOMEPAGE="http://www.continuousphysics.com/Bullet/"
+SRC_URI="mirror://sourceforge/bullet/${P}.tgz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="examples? ( virtual/opengl )"
+DEPEND="${DEPEND}
+ dev-util/jam"
+
+src_compile() {
+ econf \
+ $(use_with examples x) \
+ $(use_with examples mesa) \
+ || die "econf failed"
+ jam ${MAKEOPTS:} || die "jam failed"
+}
+
+src_install() {
+ jam -sDESTDIR="${D}" install || die "jam install failed"
+ dodoc README ChangeLog.txt AUTHORS
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins *.pdf
+ fi
+}
diff --git a/sci-physics/bullet/files/digest-bullet-2.52 b/sci-physics/bullet/files/digest-bullet-2.52
new file mode 100644
index 000000000..ef366f611
--- /dev/null
+++ b/sci-physics/bullet/files/digest-bullet-2.52
@@ -0,0 +1,3 @@
+MD5 4ae955ef6029f6160e589f15fa4e5347 bullet-2.52.tgz 4431867
+RMD160 ddc09ab4a2dfa61cb310b9cff73d4cf6c7fcc64c bullet-2.52.tgz 4431867
+SHA256 507daa8275b0914f79685a137aab61434a052981143e9ee6f0ae1a0419224bdf bullet-2.52.tgz 4431867